Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
DeepDayzeOffline
Post subject:   PostPosted: 09.05.2011, 13:29



Joined: 2010-09-11
Posts: 616
Location: USA
Status: Offline
      hightime wrote:
I ran a d-u on 64-bit today. Only a couple of problems. First, I let it remove pdftk (not sure that it's due to a perl dependency or not). Hope it gets fixed soon.

The second problem is with spamassassin 3.3.1. Under perl5.12 a line in Check.pm causes a warning. This causes a glitch in retrieving mail and you get the same message retrieved over and over. You also get a lot of email about the failure in the fetch process. The error is
      Code:

warn: Use of "goto" to jump into a construct is deprecated at
/usr/share/perl5/Mail/SpamAssassin/Plugin/Check.pm line 409.

Fedora encountered this problem last fall when they were pushing out perl5.12. They are using spamassassin 3.3.2 from SVN. I tried simply copying the Check.pm file from that version, but it generates other errors.


Something like that should be reported upstream to the spamassassin developers. Bet the Fedora maintainers did what they could for it though
 
 View user's profile Send private message  
Reply with quote Back to top
kenyeeOffline
Post subject:   PostPosted: 14.05.2011, 21:52



Joined: 2010-09-29
Posts: 87

Status: Offline
Finally did a dist-upgrade today and it took out xchat which is still dependent on perl 5.10.

I don't use xchat anyways so it was fine, but if anyone else does, they might want to wait...
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio